@(title: String)(implicit request: Request[_], i18nMessages: Messages)
<!DOCTYPE html>
<html ng-app="users">
@head(title)
<body data-preferredlang="@i18nMessages.lang.language" ng-controller="UsersController">
<script src="@routes.Assets.versioned("dist/javascripts/app.js")" type="text/javascript"></script>
<script type="text/ng-template" id="modal.html">
@modal()
</script>
@navigation_bar()
<div class="container-fluid top-buffer">
    <h2>{{'RIGHT_LIST_TITLE' | translate}}</h2>
    <div class="has-error" ng-if="error">
        <label class="control-label">{{error | translate}}</label>
    </div>
    <div class="center">
        <label>{{'FIND' | translate}} : </label>&nbsp;<input ng-model="searchUser"/>
    </div>
    <table class="table table-hover table-condensed">
        <thead>
        <tr>
            <th>{{'RIGHT_LASTNAME' | translate}}</th><th>{{'RIGHT_FIRSTNAME' | translate}}</th><th>{{'RIGHT_LOGIN' | translate}}</th><th>{{'RIGHT_PROFILE' | translate}}</th>
            <th>
                <input id="xivoSearch" placeholder="{{'RIGHT_XIVO_SEARCH' | translate}}" type="text" ng-model="xivoUser" class="form-inline"
                       uib-typeahead="user as fullName(user) for user in xivoUsers | filter:$viewValue | limitTo:15"
                       typeahead-min-length="1">
                <button type="button" class="btn btn-primary" ng-click="createUser(xivoUser)" title="{{'ADD' | translate}}">
                    <span class="glyphicon glyphicon-plus-sign"></span>
                </button>
            </th>
        </tr>
        </thead>
        <tbody>
        <tr ng-repeat="u in users | filter: searchUser">
            <td>{{u.name}}</td>
            <td>{{u.firstname}}</td>
            <td>{{u.login}}</td>
            <td>{{u.profile | translate}}</td>
            <td>
                <button type="button" class="btn btn-success" ng-click="editUser(u)" title="{{'EDIT' | translate}}">
                    <span class="glyphicon glyphicon-pencil"></span>
                </button>
                <button type="button" class="btn btn-danger" ng-click="deleteUser(u)" title="{{'DELETE' | translate}}">
                    <span class="glyphicon glyphicon-trash"></span>
                </button>
            </td>
        </tr>
        </tbody>
    </table>
</div>
@logofooter()
</body>
</html>
